Subject: Re: [PATCH net-next-2.6] net: replace hooks in __netif_receive_skb

From: Stephen Hemminger <[email-masked]>
Date: Thu, 27 May 2010 07:47:15 -0700

On Thu, 27 May 2010 15:49:36 +0200
Jiri Pirko <[email-masked]> wrote:

> What this patch does is it removes two receive frame hooks (for bridge and for
> macvlan) from __netif_receive_skb. These are replaced them with a general
> list of rx_handlers which is iterated thru instead.
> 
> Then a network driver (of virtual netdev like macvlan or bridge) can register
> an rx_handler for needed net device to be called from __netif_receive_skb.
> 
> Signed-off-by: Jiri Pirko <[email-masked]>

This is almost identical to my previous RFC but it is per device.

Why bother with a rx handler lock, why not just use RTNL since the
hook should only be changed from control operations.